[android-components](../../../../../index.md) / [mozilla.components.concept.storage](../../../../index.md) / [LoginValidationDelegate](../../../index.md) / [Result](../../index.md) / [Error](../index.md) / [GeckoError](./index.md)

# GeckoError

`data class GeckoError : `[`Error`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/storage/src/main/java/mozilla/components/concept/storage/LoginsStorage.kt#L227)

Something went wrong in GeckoView. We have no way to handle this type of error. See
[exception](exception.md) for details.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `GeckoError(exception: `[`Exception`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-exception/index.html)`)`<br>Something went wrong in GeckoView. We have no way to handle this type of error. See [exception](exception.md) for details. |

### Properties

| Name | Summary |
|---|---|
| [exception](exception.md) | `val exception: `[`Exception`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-exception/index.html) |
